Admin: Viewers
Set or clear a viewer's session-management exemption
Authorization
admin_api_token Privileged admin key (bold_live_* with admin: true) for Mission Control and support automation. Do not put this key in customer-owned apps.
In: header
Path Parameters
Bold viewer UUID
Request Body
application/json
Exemption value
Whether this viewer is exempt from session-management enforcement.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://app.boldvideo.io/api/v1/admin/viewers/string/session-management-exemption" \ -H "Content-Type: application/json" \ -d '{ "exempt": true }'{
"data": {
"device_limit_override": 0,
"session_management_exempt": true,
"viewer_id": "558349be-1da2-4590-a440-d2d5e85e7b79"
}
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}Resolve an upstream IdP user ID to a Bold viewer_id
Authorization
admin_api_token Privileged admin key (bold_live_* with admin: true) for Mission Control and support automation. Do not put this key in customer-owned apps.
In: header
Path Parameters
Upstream IdP user ID
Response Body
application/json
application/json
application/json
curl -X GET "https://app.boldvideo.io/api/v1/admin/viewers/by-external-id/string"{
"data": {
"device_limit_override": 0,
"external_id": "string",
"session_management_exempt": true,
"viewer_id": "558349be-1da2-4590-a440-d2d5e85e7b79"
}
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}Set or clear a viewer's device-limit override
Authorization
admin_api_token Privileged admin key (bold_live_* with admin: true) for Mission Control and support automation. Do not put this key in customer-owned apps.
In: header
Path Parameters
Bold viewer UUID
Request Body
application/json
Limit value
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://app.boldvideo.io/api/v1/admin/viewers/string/device-limit" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"device_limit_override": 0,
"viewer_id": "558349be-1da2-4590-a440-d2d5e85e7b79"
}
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}{
"details": {},
"error": "string",
"status": 0,
"timestamp": "2019-08-24T14:15:22Z"
}